Index: uspace/lib/usbhid/src/hidreq.c
===================================================================
--- uspace/lib/usbhid/src/hidreq.c	(revision 4bfe063a377c0d8d2a2516669aa48307a4258d05)
+++ uspace/lib/usbhid/src/hidreq.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -58,5 +58,5 @@
  * @return Other value inherited from function usb_control_request_set().
  */
-int usbhid_req_set_report(usb_pipe_t *ctrl_pipe, int iface_no,
+errno_t usbhid_req_set_report(usb_pipe_t *ctrl_pipe, int iface_no,
     usb_hid_report_type_t type, uint8_t *buffer, size_t buf_size)
 {
@@ -77,5 +77,5 @@
 	 */
 	
-	int rc;
+	errno_t rc;
 	
 	uint16_t value = 0;
@@ -108,5 +108,5 @@
  * @return Other value inherited from function usb_control_request_set().
  */
-int usbhid_req_set_protocol(usb_pipe_t *ctrl_pipe, int iface_no,
+errno_t usbhid_req_set_protocol(usb_pipe_t *ctrl_pipe, int iface_no,
     usb_hid_protocol_t protocol)
 {
@@ -127,5 +127,5 @@
 	 */
 	
-	int rc;
+	errno_t rc;
 
 	usb_log_debug("Sending Set Protocol request to the device ("
@@ -157,23 +157,23 @@
  * @return Other value inherited from function usb_control_request_set().
  */
-int usbhid_req_set_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t duration)
-{
-	if (ctrl_pipe == NULL) {
-		usb_log_warning("usbhid_req_set_report(): no pipe given.\n");
-		return EINVAL;
-	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
-	int rc;
+errno_t usbhid_req_set_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t duration)
+{
+	if (ctrl_pipe == NULL) {
+		usb_log_warning("usbhid_req_set_report(): no pipe given.\n");
+		return EINVAL;
+	}
+	
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+	
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+	
+	errno_t rc;
 
 	usb_log_debug("Sending Set Idle request to the device ("
@@ -210,5 +210,5 @@
  * @return Other value inherited from function usb_control_request_set().
  */
-int usbhid_req_get_report(usb_pipe_t *ctrl_pipe, int iface_no, 
+errno_t usbhid_req_get_report(usb_pipe_t *ctrl_pipe, int iface_no, 
     usb_hid_report_type_t type, uint8_t *buffer, size_t buf_size, 
     size_t *actual_size)
@@ -230,5 +230,5 @@
 	 */
 	
-	int rc;
+	errno_t rc;
 
 	uint16_t value = 0;
@@ -262,5 +262,5 @@
  * @return Other value inherited from function usb_control_request_set().
  */
-int usbhid_req_get_protocol(usb_pipe_t *ctrl_pipe, int iface_no, 
+errno_t usbhid_req_get_protocol(usb_pipe_t *ctrl_pipe, int iface_no, 
     usb_hid_protocol_t *protocol)
 {
@@ -281,5 +281,5 @@
 	 */
 	
-	int rc;	
+	errno_t rc;	
 
 	usb_log_debug("Sending Get Protocol request to the device ("
@@ -324,23 +324,23 @@
  *         usb_control_request_set().
  */
-int usbhid_req_get_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t *duration)
-{
-	if (ctrl_pipe == NULL) {
-		usb_log_warning("usbhid_req_set_report(): no pipe given.\n");
-		return EINVAL;
-	}
-	
-	if (iface_no < 0) {
-		usb_log_warning("usbhid_req_set_report(): no interface given."
-		    "\n");
-		return EINVAL;
-	}
-	
-	/*
-	 * No need for checking other parameters, as they are checked in
-	 * the called function (usb_control_request_set()).
-	 */
-	
-	int rc;
+errno_t usbhid_req_get_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t *duration)
+{
+	if (ctrl_pipe == NULL) {
+		usb_log_warning("usbhid_req_set_report(): no pipe given.\n");
+		return EINVAL;
+	}
+	
+	if (iface_no < 0) {
+		usb_log_warning("usbhid_req_set_report(): no interface given."
+		    "\n");
+		return EINVAL;
+	}
+	
+	/*
+	 * No need for checking other parameters, as they are checked in
+	 * the called function (usb_control_request_set()).
+	 */
+	
+	errno_t rc;
 
 	usb_log_debug("Sending Get Idle request to the device ("
